跳轉到主要內容
GET
/
v2
/
trade
/
{chain}
/
top-traders
交易 - 頂級交易者
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "buyAmount": "600000",
      "buyAmountInNative": "100.5",
      "buyAmountInUsd": "12000.50",
      "buyCount": 60,
      "sellAmount": "400000",
      "sellAmountInNative": "66.8",
      "sellAmountInUsd": "8000.30",
      "sellCount": 40,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tradeAmount": "1000000",
      "tradeCount": 100,
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
tokenAddress
string
必填

代幣地址

timeFrame
enum<string>

交易篩選的時間範圍 Time frame for statistics

可用選項:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
sortType
enum<string>
預設值:desc

交易結果排序類型 Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)

可用選項:
asc,
desc
sortBy
enum<string>
預設值:tradeAmount

交易排序欄位 Sort field for top traders query

可用選項:
tradeAmount,
tradeCount

回應

200 - application/json

成功回應

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="